import 'package:json_annotation/json_annotation.dart';

part 'skill_category.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class SkillCategory {
  final String name;
  final String slug;

  SkillCategory({
    required this.name,
    required this.slug,
  });

  factory SkillCategory.fromJson(Map<String, dynamic> json) => _$SkillCategoryFromJson(json);

  Map<String, dynamic> toJson() => _$SkillCategoryToJson(this);
}